Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d
Interface Polygonization

All Known Subinterfaces:
  Polygons

All Known Implementing Classes:
  Arrange, GRSMesh, Patch, PolygonMesh, PolygonsBase

    public interface Polygonization

This interface represents an algorithm which decomposes a data source returned by `Polygonizable.getPolygonizableSource(GraphState)` into a polygon mesh representation.

Author:
  Ole Kniemeyer

Field Summary
`static int` | `COMPUTE_NORMALS` Bit mask for `polygonize` indicating that normal vectors have to be computed.
`static int` | `COMPUTE_UV` Bit mask for `polygonize` indicating that uv coordinates have to be computed.

Method Summary
`void` | `polygonize(ContextDependent source, GraphState gs, PolygonArray out, int flags, float flatness)` Performs the polygonization of the source into polygons.

Field Detail

### COMPUTE_NORMALS

    static final int COMPUTE_NORMALS

  Bit mask for `polygonize` indicating that normal vectors have to be computed.

  See Also:
    Constant Field Values

### COMPUTE_UV

    static final int COMPUTE_UV

  Bit mask for `polygonize` indicating that uv coordinates have to be computed.

  See Also:
    Constant Field Values

Method Detail

### polygonize

    void polygonize(ContextDependent source,
                    GraphState gs,
                    PolygonArray out,
                    int flags,
                    float flatness)

  Performs the polygonization of the source into polygons. The field `out.userObject` is not modified.

  Parameters:
    `source` - the data source as reported by a previous invocation of `Polygonizable.getPolygonizableSource(GraphState)` with the same `gs`
    `gs` - the current graph state
    `out` - the polygons are written to `out`
    `flags` - combination of bit masks
    `flatness` - a parameter for the degree of flatness, a typical value is 1

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD